# Uses of Class
org.jboss.classfilewriter.ClassField

Packages that use ClassField
Package
Description
org.jboss.classfilewriter

## Uses of ClassField in org.jboss.classfilewriter

Methods in org.jboss.classfilewriter that return ClassField
Modifier and Type
Method
Description
`ClassField`
ClassFile.`addField(int accessFlags, String name, Class<?> type)`
`ClassField`
ClassFile.`addField(int accessFlags, String name, Class<?> type, String genericSignature)`
`ClassField`
ClassFile.`addField(int accessFlags, String name, String descriptor)`
Adds a field with the given name and descriptor.
`ClassField`
ClassFile.`addField(int accessFlags, String name, String descriptor, String signature)`
`ClassField`
ClassFile.`addField(Field field)`
Methods in org.jboss.classfilewriter that return types with arguments of type ClassField
Modifier and Type
Method
Description
`Set<ClassField>`
ClassFile.`getFields()`